﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="twoDropDown.aspx.cs" Inherits="FormDecorator_twoDropDown" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
	<head runat="server">
		<title></title>
	</head>
	<body>
		<form id="form1" runat="server">
			<asp:ScriptManager runat="server" ID="theScriptManager">
				<Scripts>
					<asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js" />
					<asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQuery.js" />
					<asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQueryInclude.js" />
				</Scripts>
			</asp:ScriptManager>
			<telerik:RadFormDecorator ID="theFormDecorator" runat="server" DecoratedControls="All" />
			<asp:DropDownList runat="server" ID="dropHiring" />
			<button id="fillDDButton">Fill DropDown</button>
		</form>
		<script type="text/javascript">
			$telerik.$(document).ready(function() {
				$telerik.$("#fillDDButton").on("click", function(e) {
					fillDD();
					e.stopPropagation();
					e.preventDefault();
				});
			});

			var data = [
				{ Id: 1, Contact: "Contact 1" },
				{ Id: 2, Contact: "Contact 2" },
				{ Id: 3, Contact: "Contact 3" }
			];

			function fillDD()
			{
				var select = $get("dropHiring");

				$telerik.$.each(data, function(i, contact) {
					var option = createOption_jQuery(contact);
					$telerik.$(select).append(option);
					try { select.add(option, null); }
					catch(e) { select.add(option); }
				});

				getFormDecorator().updateSelect(select);
			}

			function createOption(contact)
			{
				var option = document.createElement("option");
				option.value = contact.Id;
				option.text = contact.Contact;

				return option;
			}
			function createOption_jQuery(contact)
			{
				return $('<option />').val(contact.Id).text(contact.Contact)[0];
			}

			function getFormDecorator() { return $find("<%= theFormDecorator.ClientID %>"); }
		</script>
	</body>
</html>
